<template>
  <select :id="id" v-model="currentValue" class="dibs--form--input" type="text">
    <option
      v-for="(option, optionId) in options"
      :key="`${id}-${optionId}`"
      :value="
        option.value ? option.value : option.label ? option.label : option
      "
    >
      {{ option.label ? option.label : option }}
    </option>
  </select>
</template>
<script>
export default {
  props: {
    id: {
      type: [String],
      required: true,
    },
    default: {
      type: [String, Number],
      default: null,
    },
    options: {
      type: [Array],
      required: true,
    },
  },
  data() {
    return {
      currentValue: this.default,
    }
  },
  watch: {
    currentValue(value) {
      this.$emit('input', value)
    },
  },
}
</script>
